<div class="container">

	<h1 class="title">
	  {{ 'PAGES.RNG.RNG' | translate }}
	</h1>

  
	<div>
		<div class="item1" >
			<span>{{ 'PAGES.RNG.AMOUNT' | translate}}</span>
			<span>1<mat-slider thumbLabel min="1" max="6" step="1" [(value)]="numbers"></mat-slider>6</span>
			<a class="runBtn" (click)="getRandom()">{{ 'PAGES.RNG.GETRNG' | translate }}</a>
		</div>
	</div>
	<div>
		<div>
			<mat-card class="matcard">
				<div class="img-container">
					<img *ngIf="numbers>=6"[src]="sources[5]" src="" alt="random number">
					<img *ngIf="numbers>=5"[src]="sources[4]" src="" alt="random number">
					<img *ngIf="numbers>=4"[src]="sources[3]" src="" alt="random number">
					<img *ngIf="numbers>=3"[src]="sources[2]" src="" alt="random number">
					<img *ngIf="numbers>=2"[src]="sources[1]" src="" alt="random number">
					<img [src]="sources[0]" src="" alt="random number">
					<!--<span *ngFor="let image in sources" >
						<img *ngIf="sources.indexOf(image)<numbers" [src]="image" src="" alt="random number">
					</span>-->
				</div>
			</mat-card>
		</div>
	</div>
  
</div>
  
  